/***************************************************************************
 *
 *  ZXEmuT -- ZX Spectrum Emulator with Tcl scripting
 *
 *  Copyright (C) 2012-2022 Ketmar Dark <ketmar@ketmar.no-ip.org>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, version 3 of the License ONLY.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 **************************************************************************/
static const uint8_t winCur[10][16][16] = {
  /* big arrow w/o tail*/
{{2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,2,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,2,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,2,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,1,2,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,1,1,2,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,1,1,1,2,0,0,0,0,0,0,0},
 {2,1,1,1,2,2,2,2,2,0,0,0,0,0,0,0},
 {2,1,1,2,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}},

{{2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,2,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,2,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,2,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,1,2,0,0,0,0,0,0,0,0,0},
 {2,1,1,2,2,2,2,0,0,0,0,0,0,0,0,0},
 {2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}},

  /* ugly arrow */
{{2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,2,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,2,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,2,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,1,2,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,1,1,2,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,1,1,2,0,0,0,0,0,0,0,0},
 {2,1,1,1,2,2,2,2,0,0,0,0,0,0,0,0},
 {2,1,1,2,1,1,2,0,0,0,0,0,0,0,0,0},
 {2,2,2,2,1,1,2,0,0,0,0,0,0,0,0,0},
 {0,0,0,2,2,2,2,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}},

{{2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,2,2,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,2,2,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,1,2,2,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,1,1,2,0,0,0,0,0,0,0,0},
 {2,1,1,1,2,2,1,2,0,0,0,0,0,0,0,0},
 {2,1,1,2,1,1,2,0,0,0,0,0,0,0,0,0},
 {2,1,1,2,1,1,2,0,0,0,0,0,0,0,0,0},
 {2,2,2,2,2,2,2,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}},

  /* small arrow from BGE */
{{2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,2,2,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,2,1,1,2,2,0,0,0,0,0,0,0,0,0,0},
 {0,2,1,1,1,1,2,0,0,0,0,0,0,0,0,0},
 {0,0,2,1,1,2,2,0,0,0,0,0,0,0,0,0},
 {0,0,2,1,2,1,2,0,0,0,0,0,0,0,0,0},
 {0,0,0,2,2,2,1,2,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,2,2,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}},

  /* Pete Cooke arrow */
{{2,2,2,2,2,2,2,2,2,0,0,0,0,0,0,0},
 {0,2,1,1,1,1,1,1,2,0,0,0,0,0,0,0},
 {0,0,2,1,1,1,1,1,2,0,0,0,0,0,0,0},
 {0,0,0,2,1,1,1,1,1,2,2,0,0,0,0,0},
 {0,0,0,0,2,1,1,2,2,1,1,2,2,0,0,0},
 {0,0,0,0,0,2,2,0,0,2,2,1,1,2,2,0},
 {0,0,0,0,0,0,0,0,0,0,0,2,2,1,1,2},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}},

  /* art studio ugly arrow */
{{2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,2,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,2,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,2,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,1,2,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,1,1,2,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,2,2,0,0,0,0,0,0,0,0,0},
 {2,1,2,2,1,2,0,0,0,0,0,0,0,0,0,0},
 {0,2,0,2,1,2,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,2,1,2,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,2,1,2,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,2,1,2,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,2,1,2,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,2,2,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}},

  /* small bytex */
{{2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,2,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,2,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,2,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,1,2,0,0,0,0,0,0,0,0,0,0},
 {2,1,1,1,2,2,2,0,0,0,0,0,0,0,0,0},
 {2,1,2,1,2,0,0,0,0,0,0,0,0,0,0,0},
 {2,2,0,2,1,2,0,0,0,0,0,0,0,0,0,0},
 {2,0,0,2,1,2,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,2,2,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}},

  /* ugly excess */
{{2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {2,1,2,2,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,2,1,1,2,2,0,0,0,0,0,0,0,0,0,0},
 {0,2,1,1,1,1,2,2,0,0,0,0,0,0,0,0},
 {0,0,2,1,1,1,1,1,2,2,0,0,0,0,0,0},
 {0,0,2,1,1,1,1,1,1,1,2,0,0,0,0,0},
 {0,0,0,2,1,1,1,1,2,2,0,0,0,0,0,0},
 {0,0,0,2,1,1,1,1,1,2,0,0,0,0,0,0},
 {0,0,0,0,2,1,2,1,1,1,2,0,0,0,0,0},
 {0,0,0,0,2,1,2,2,1,1,2,0,0,0,0,0},
 {0,0,0,0,0,2,0,0,2,2,2,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}},

  /* empty one */
{{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
 {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}},
};
